org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPageTable

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPageTable

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class ImportWizardPageTable
    extends org.eclipse.jface.wizard.WizardPage

Table overview page This pages gives the user an overview of the detected tables and allows him to select the desired one by clicking on it. The tables itself are retrieved from `ImportData#getJdbcTables()()`. The selected one will be assigned via `ImportWizardModel.setSelectedJdbcTable(String)` along with the detected columns for this table using `ImportWizardModel.setWizardColumns(List)` and its preview data `ImportWizardModel.setPreviewData(List)`.

Author:
  Karol Babioch, Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`ImportWizardPageTable(ImportWizard wizardImport)` Creates a new instance of this page and sets its title and description.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the design of this page along with the appropriate listeners.
`void` `setVisible(boolean visible)` Applies previously detected tables to `tableViewer`.

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### ImportWizardPageTable

    public ImportWizardPageTable(ImportWizard wizardImport)

Creates a new instance of this page and sets its title and description.

Parameters:
  `wizardImport` - Reference to wizard containing this page

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Creates the design of this page along with the appropriate listeners.

Parameters:
  `parent` -

#### setVisible

    public void setVisible(boolean visible)

Applies previously detected tables to `tableViewer`.

Specified by:
  `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`
Parameters:
  `visible` -